Subject: Re: [PATCH 0/2] Few fixes for cross-compiling with Meson

From: Toon Claes <[email-masked]>
Date: Mon, 08 Dec 2025 15:41:22 +0100

Carlo Marcelo Arenas Belón <[email-masked]> writes:

> On Tue, Dec 02, 2025 at 11:48:07AM -0800, Toon Claes wrote:
>> I was cross-compiling for s390x.
>
> Just to clarify, you mean Linux on IBM Z/LinuxOne, not 64bit ZOS/ZVM,
> right?

I'm sorry, I'm not aware of the correct terminology here.

If I run file(1) on the compiled binary, I'm getting:

    ELF 64-bit MSB pie executable, IBM S/390, version 1 (SYSV),
    dynamically linked, interpreter /lib/ld64.so.1, for GNU/Linux 3.2.0

And readelf(1) says:

    ...
    OS/ABI:                            UNIX - System V
    ...
    Machine:                           IBM S/390
    ...

And the toolchain used was installed from:

    https://aur.archlinux.org/packages/s390x-z13-glibc-bleeding-edge-toolchain

I hope that clarifies it?

-- 
Cheers,
Toon